Vai al contenuto

Returns the list of directly connected consumers to consumer associated to provided organizationId.

Richiesta

⚠️ UNSTABLE ENDPOINT — This v2 endpoint is under active development. The contract (fields, request/response structure, behavior) may change without notice. All integrations consuming this endpoint must be updated accordingly. This notice will be removed once the endpoint is stable.

Security policies: OrganizationsConsumersView

Sicurezza
OpenIdConnect
Percorso
idstringobbligatorio

The organization identifier

Query
allLevelsboolean

Boolean which defines whether to include all levels of consumers. (Default: false)

totalElementsinteger, (int32)

The total number of elements in the pagination. (Default: Not applied)

legalEntityModeboolean

Boolean which defines if trying to use the legal entity associated with the organization consumer. (Default: false)

namestring

The name of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

typestring

The types of consumer to filter. (Default: Not applied)

metadatastring

Metadata values of the consumer to filter. Is JSON object format. (Default: Not applied)

taxCode1string

The tax code 1 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

taxCode2string

The tax code 2 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

taxCode3string

The tax code 3 of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

countrystring

The country of the consumer to filter. Ignored if search filter defined. (Default: Not applied)

customerTypestring

The types of customer to filter. (Default: Not applied)

searchstring

The search term for filtering items. (Default: Not applied)

exactboolean

Boolean which defines whether the params name and search must match exactly. (Default: false)

pageNumberinteger, (int32)

The page number of pagination. (Default: 1)

pageSizeinteger, (int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean

Indicates whether the query should also return the total count of items (Default: true)

GET
/v2/organizations/{id}/consumers
curl -i -X GET \
  '/v2/organizations/{id}/consumers?allLevels=true&totalElements=0&legalEntityMode=true&name=string&type=string&metadata=string&taxCode1=string&taxCode2=string&taxCode3=string&country=string&customerType=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Risposte

OK

Corpoapplication/json
itemsArray of objects(ConsumerDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger, (int32)

The current page number.

pageSizeinteger, (int32)

Number or items in a page.

totalPagesinteger, (int32)read-only

Total number of pages.

totalItemsinteger, (int32)

Total number of items that exist for the query.

Risposta
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }